Bug 1671399 (CVE-2019-6462) - CVE-2019-6462 cairo: infinite loop in the function _arc_error_normalized in the file cairo-arc.c
Summary: CVE-2019-6462 cairo: infinite loop in the function _arc_error_normalized in t...
Keywords:
Status: NEW
Alias: CVE-2019-6462
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20190111,reported=2...
: 1669026 (view as bug list)
Depends On: 1671400 1671401 1671402 1686527 1686529 1686531
Blocks: 1669633
TreeView+ depends on / blocked
 
Reported: 2019-01-31 14:29 UTC by Laura Pardo
Modified: 2019-06-03 06:30 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Laura Pardo 2019-01-31 14:29:04 UTC
An issue was discovered in cairo 1.16.0. There is an infinite loop in the function _arc_error_normalized in the file cairo-arc.c, related to _arc_max_angle_for_tolerance_normalized.


References:
https://gitlab.freedesktop.org/cairo/cairo/issues/353

Comment 1 Laura Pardo 2019-01-31 14:29:24 UTC
Created cairo tracking bugs for this issue:

Affects: fedora-all [bug 1671400]


Created mingw-cairo tracking bugs for this issue:

Affects: epel-7 [bug 1671402]
Affects: fedora-all [bug 1671401]

Comment 2 Laura Pardo 2019-01-31 14:32:12 UTC
*** Bug 1669026 has been marked as a duplicate of this bug. ***

Comment 3 Dave Baker 2019-02-28 15:13:29 UTC
openshift-online-3:
- hosts are affected (package is installed), but it is not used.
- containers are affected (package is installed), but this is limited to the mediawiki (end-user non-priv containers).  The cairo package no longer ships in versions of metrics-hawkular-metrics, ose-metrics-hawkular-metrics later than 3.7.

openshift:
- container ships with 1.15 (not 1.16 which is specifically marked as affected).  Still researching in the bug was present in versions < 1.16.

Comment 4 Dave Baker 2019-02-28 15:20:09 UTC
Confirmed in source: https://gitlab.freedesktop.org/cairo/cairo/blob/1.15.12/src/cairo-arc.c#L99

The flaw exists in < 1.15.12, which is used in the latest container images here:
- https://access.redhat.com/containers/?tab=package-list#/registry.access.redhat.com/openshift3/mediawiki/images/v3.11.82-3

Comment 8 Stefan Cornelius 2019-03-14 10:34:27 UTC
Statement:

This issue affects the versions of cairo as shipped with Red Hat Enterprise Linux 5, 6, and 7.

Red Hat Enterprise Linux 5 is now in Extended Life Phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Low, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.